<!DOCTYPE html>
<html>
<head>
	<title>Anmeldung zum Testride</title>
	<script
		src="https://code.jquery.com/jquery-3.4.1.js"
		integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
		crossorigin="anonymous"></script>

	<style>
		body {
			background-image: url('https://www.juratrails.de/187%20-%20Sektion%20Neumarkt-Oberpfalz/Juratrails/Hintergr%C3%BCnde/73159/image-thumb__73159__heroteaser/slider_03@2x.webp');
			background-size: cover;
			background-position: center center;
			font-family: Arial, sans-serif;
			padding: 50px;
			color: #333;
		}
		.heading {
			background-color: rgba(255, 255, 255, 0.8);
			padding: 20px;
			border-radius: 5px;
			text-align: center;
			margin-bottom: 20px;
			font-size: 24px;
		}
		form {
			background-color: rgba(255, 255, 255, 0.8);
			padding: 30px 40px;
			border-radius: 5px;
			max-width: 600px;
			margin: 20px auto;
			display: flex;
			flex-direction: column;
			align-items: center;
		}
		label, button {
			align-self: flex-start;
		}
		input, select {
			width: 100%;
			padding: 10px;
			margin-bottom: 15px;
			border-radius: 5px;
			border: 1px solid #ccc;
		}
		button {
			background-color: #007BFF;
			color: #FFF;
			padding: 10px 15px;
			border: none;
			border-radius: 5px;
			cursor: pointer;
		}
		button:hover {
			background-color: #0056b3;
		}
	</style>

	<script>
		function SubForm (){
			$.ajax({
				url:"https://api.apispreadsheets.com/data/v4ug8yOlpyxkEmGz/",
				type:"post",
				data:$("#myForm").serializeArray(),
				success: function(){
					alert("Danke deine Nachricht hat uns erreicht! :)")
				},
				error: function(){
					alert("Ups da ist was schiefgegangen :(")
				}
			});
		}
	</script>
</head>
<body>
	<div class="heading">Anmeldung zum Testride</div>
	<div class="heading">Wir freuen uns auf die Ausfahrten mit euch :)! Bitte beachtet, dass für alle Touren das Tragen eines Fahrradhelms obligatorisch, und das Tragen von Schutzkleidung dringend empfohlen wird. Wenn ihr Leih- oder Demobikes nutzen möchtet, denkt bitte daran, euren Ausweis mitzubringen!</div>

	<form id="myForm">
		<label for="full_name">Dein Name</label>
		<input id="full_name" name="full_name" />

		<label for="email">Deine Email</label>
		<input id="email" name="email" type="email" />

		<label for="time">Wann hast du lust mit uns zu Fahren?</label>
		<select id="time" name="time">
			<option value="11:00">11:00</option>
			<option value="14:00">14:00</option>
		</select>

		<label for="ride">Welcher Ride?</label>
		<select id="ride" name="ride">
			<option value="Mädelstour">Maedelstour</option>
			<option value="Big-5">Big-5</option>
			<option value="Anfängertour">Anfaengertour</option>
		</select>

		<label for="message">Message</label>
		<input id="message" name="message" />

		<button type="button" onclick='SubForm()'>Submit</button>
	</form>
</body>
</html>
